BSL430.NET 1.2.1

Public Attributes | List of all members
FTD2XX_NET.FTDI.FT_XSERIES_CBUS_OPTIONS Class Reference

Available functions for the X-Series CBUS pins. Controlled by X-Series EEPROM settings More...

## Public Attributes
const byte | FT_CBUS_TRISTATE = 0x00
| FT X-Series CBUS EEPROM options - Tristate More...
const byte | FT_CBUS_RXLED = 0x01
| FT X-Series CBUS EEPROM options - RxLED# More...
const byte | FT_CBUS_TXLED = 0x02
| FT X-Series CBUS EEPROM options - TxLED# More...
const byte | FT_CBUS_TXRXLED = 0x03
| FT X-Series CBUS EEPROM options - TxRxLED# More...
const byte | FT_CBUS_PWREN = 0x04
| FT X-Series CBUS EEPROM options - PwrEn# More...
const byte | FT_CBUS_SLEEP = 0x05
| FT X-Series CBUS EEPROM options - Sleep# More...
const byte | FT_CBUS_Drive_0 = 0x06
| FT X-Series CBUS EEPROM options - Drive_0 More...
const byte | FT_CBUS_Drive_1 = 0x07
| FT X-Series CBUS EEPROM options - Drive_1 More...
const byte | FT_CBUS_GPIO = 0x08
| FT X-Series CBUS EEPROM options - GPIO More...
const byte | FT_CBUS_TXDEN = 0x09
| FT X-Series CBUS EEPROM options - TxdEn More...
const byte | FT_CBUS_CLK24MHz = 0x0A
| FT X-Series CBUS EEPROM options - Clk24MHz More...
const byte | FT_CBUS_CLK12MHz = 0x0B
| FT X-Series CBUS EEPROM options - Clk12MHz More...
const byte | FT_CBUS_CLK6MHz = 0x0C
| FT X-Series CBUS EEPROM options - Clk6MHz More...
const byte | FT_CBUS_BCD_Charger = 0x0D
| FT X-Series CBUS EEPROM options - BCD_Charger More...
const byte | FT_CBUS_BCD_Charger_N = 0x0E
| FT X-Series CBUS EEPROM options - BCD_Charger# More...
const byte | FT_CBUS_I2C_TXE = 0x0F
| FT X-Series CBUS EEPROM options - I2C_TXE# More...
const byte | FT_CBUS_I2C_RXF = 0x10
| FT X-Series CBUS EEPROM options - I2C_RXF# More...
const byte | FT_CBUS_VBUS_Sense = 0x11
| FT X-Series CBUS EEPROM options - VBUS_Sense More...
const byte | FT_CBUS_BitBang_WR = 0x12
| FT X-Series CBUS EEPROM options - BitBang_WR# More...
const byte | FT_CBUS_BitBang_RD = 0x13
| FT X-Series CBUS EEPROM options - BitBang_RD# More...
const byte | FT_CBUS_Time_Stamp = 0x14
| FT X-Series CBUS EEPROM options - Time_Stampe More...
const byte | FT_CBUS_Keep_Awake = 0x15
| FT X-Series CBUS EEPROM options - Keep_Awake# More...

## Detailed Description

Available functions for the X-Series CBUS pins. Controlled by X-Series EEPROM settings

## Member Data Documentation

## ◆ FT_CBUS_BCD_Charger

const byte FTD2XX_NET.FTDI.FT_XSERIES_CBUS_OPTIONS.FT_CBUS_BCD_Charger = 0x0D

FT X-Series CBUS EEPROM options - BCD_Charger

## ◆ FT_CBUS_BCD_Charger_N

const byte FTD2XX_NET.FTDI.FT_XSERIES_CBUS_OPTIONS.FT_CBUS_BCD_Charger_N = 0x0E

FT X-Series CBUS EEPROM options - BCD_Charger#

## ◆ FT_CBUS_BitBang_RD

const byte FTD2XX_NET.FTDI.FT_XSERIES_CBUS_OPTIONS.FT_CBUS_BitBang_RD = 0x13

FT X-Series CBUS EEPROM options - BitBang_RD#

## ◆ FT_CBUS_BitBang_WR

const byte FTD2XX_NET.FTDI.FT_XSERIES_CBUS_OPTIONS.FT_CBUS_BitBang_WR = 0x12

FT X-Series CBUS EEPROM options - BitBang_WR#

## ◆ FT_CBUS_CLK12MHz

const byte FTD2XX_NET.FTDI.FT_XSERIES_CBUS_OPTIONS.FT_CBUS_CLK12MHz = 0x0B

FT X-Series CBUS EEPROM options - Clk12MHz

## ◆ FT_CBUS_CLK24MHz

const byte FTD2XX_NET.FTDI.FT_XSERIES_CBUS_OPTIONS.FT_CBUS_CLK24MHz = 0x0A

FT X-Series CBUS EEPROM options - Clk24MHz

## ◆ FT_CBUS_CLK6MHz

const byte FTD2XX_NET.FTDI.FT_XSERIES_CBUS_OPTIONS.FT_CBUS_CLK6MHz = 0x0C

FT X-Series CBUS EEPROM options - Clk6MHz

## ◆ FT_CBUS_Drive_0

const byte FTD2XX_NET.FTDI.FT_XSERIES_CBUS_OPTIONS.FT_CBUS_Drive_0 = 0x06

FT X-Series CBUS EEPROM options - Drive_0

## ◆ FT_CBUS_Drive_1

const byte FTD2XX_NET.FTDI.FT_XSERIES_CBUS_OPTIONS.FT_CBUS_Drive_1 = 0x07

FT X-Series CBUS EEPROM options - Drive_1

## ◆ FT_CBUS_GPIO

const byte FTD2XX_NET.FTDI.FT_XSERIES_CBUS_OPTIONS.FT_CBUS_GPIO = 0x08

FT X-Series CBUS EEPROM options - GPIO

## ◆ FT_CBUS_I2C_RXF

const byte FTD2XX_NET.FTDI.FT_XSERIES_CBUS_OPTIONS.FT_CBUS_I2C_RXF = 0x10

FT X-Series CBUS EEPROM options - I2C_RXF#

## ◆ FT_CBUS_I2C_TXE

const byte FTD2XX_NET.FTDI.FT_XSERIES_CBUS_OPTIONS.FT_CBUS_I2C_TXE = 0x0F

FT X-Series CBUS EEPROM options - I2C_TXE#

## ◆ FT_CBUS_Keep_Awake

const byte FTD2XX_NET.FTDI.FT_XSERIES_CBUS_OPTIONS.FT_CBUS_Keep_Awake = 0x15

FT X-Series CBUS EEPROM options - Keep_Awake#

## ◆ FT_CBUS_PWREN

const byte FTD2XX_NET.FTDI.FT_XSERIES_CBUS_OPTIONS.FT_CBUS_PWREN = 0x04

FT X-Series CBUS EEPROM options - PwrEn#

## ◆ FT_CBUS_RXLED

const byte FTD2XX_NET.FTDI.FT_XSERIES_CBUS_OPTIONS.FT_CBUS_RXLED = 0x01

FT X-Series CBUS EEPROM options - RxLED#

## ◆ FT_CBUS_SLEEP

const byte FTD2XX_NET.FTDI.FT_XSERIES_CBUS_OPTIONS.FT_CBUS_SLEEP = 0x05

FT X-Series CBUS EEPROM options - Sleep#

## ◆ FT_CBUS_Time_Stamp

const byte FTD2XX_NET.FTDI.FT_XSERIES_CBUS_OPTIONS.FT_CBUS_Time_Stamp = 0x14

FT X-Series CBUS EEPROM options - Time_Stampe

## ◆ FT_CBUS_TRISTATE

const byte FTD2XX_NET.FTDI.FT_XSERIES_CBUS_OPTIONS.FT_CBUS_TRISTATE = 0x00

FT X-Series CBUS EEPROM options - Tristate

## ◆ FT_CBUS_TXDEN

const byte FTD2XX_NET.FTDI.FT_XSERIES_CBUS_OPTIONS.FT_CBUS_TXDEN = 0x09

FT X-Series CBUS EEPROM options - TxdEn

## ◆ FT_CBUS_TXLED

const byte FTD2XX_NET.FTDI.FT_XSERIES_CBUS_OPTIONS.FT_CBUS_TXLED = 0x02

FT X-Series CBUS EEPROM options - TxLED#

## ◆ FT_CBUS_TXRXLED

const byte FTD2XX_NET.FTDI.FT_XSERIES_CBUS_OPTIONS.FT_CBUS_TXRXLED = 0x03

FT X-Series CBUS EEPROM options - TxRxLED#

## ◆ FT_CBUS_VBUS_Sense

const byte FTD2XX_NET.FTDI.FT_XSERIES_CBUS_OPTIONS.FT_CBUS_VBUS_Sense = 0x11

FT X-Series CBUS EEPROM options - VBUS_Sense

The documentation for this class was generated from the following file:

- C:/PROJECTS/C#/BSL430.NET/src/BSL430.NET/FTD2XX_NET.cs